Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.jboss.seam.annotations.bpm
Annotation Type ResumeProcess

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Documented
    public @interface ResumeProcess

Marks a method as causing an existing jBPM `process instance` to be associated with the current conversation, unless the annotated method returns a null outcome.

Author:
  Steve Ebersole

Optional Element Summary
`String` | `definition` The name of the `ProcessDefinition` (optional, only required for lookup by business key)
`String` | `processId` An EL expression that evaluates to the process id.
`String` | `processIdParameter` The name of the request parameter under which we should locate the the id of process to be resumed.
`String` | `processKey` An EL expression that evaluates to the process business key.

### processIdParameter

    public abstract String processIdParameter

  The name of the request parameter under which we should locate the the id of process to be resumed. (not required for lookup by business key)

  Returns:
    a request parameter name
  Default:
    ""

### processId

    public abstract String processId

  An EL expression that evaluates to the process id. (not required for lookup by business key)

  Returns:
    an EL expression
  Default:
    "#{param.processId}"

### processKey

    public abstract String processKey

  An EL expression that evaluates to the process business key. (optional, only required for lookup by business key)

  Returns:
    an EL expression
  Default:
    ""

### definition

    public abstract String definition

  The name of the `ProcessDefinition` (optional, only required for lookup by business key)

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2012 Seam Framework. All Rights Reserved.